package cz.muni.fi.pb162.cv10;
import java.util.*;

/**
 * Represents a number that is not intended to be used in mathematics. 
 * The interface should be used for account numbers, ICQ UIN, phone numbers etc.
 * 
 * @author Zuzana Neverilova
 * @version 2010-06-12
 */
public interface Number
{
    /**
     * Tests whether the number fulfils the required format. Implement through regular expressions.
     */
    boolean isValid();
}
